# $Revision: 1.22 $, $Date: 2005/06/14 07:22:18 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	RPM
%define		pnam	Specfile
Summary:	RPM::Specfile - Perl extension for creating RPM specfiles
Summary(pl):	RPM::Specfile - rozszerzenie Perla do tworzenia plikw .spec dla RPM-a
Name:		perl-RPM-Specfile
Version:	1.19
Release:	1
License:	?
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	55e05321f3c436a8493352b1a8541e5c
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Simple module for creation of RPM Spec files. Used by cpanflute2 to
turn CPAN tarballs into RPM modules. See the included script
cpanflute2 for usage; documentation coming soon.

%description -l pl
Prosty modu do tworzenia plikw .spec dla RPM-a. Jest uywany przez
cpanflute2 do zamiany paczek CPAN na moduy RPM. Sposb uycia mona
znale w zaczonym skrypcie cpanflute2 - dokumentacja wkrtce.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT%{_bindir}/cpanflute2 $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-RPM-Specfile.spec,v $
Revision 1.22  2005/06/14 07:22:18  petec
- up to 1.19

Revision 1.21  2004/11/03 22:30:41  paladine
- formatting

Revision 1.20  2004/06/05 20:26:54  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.19  2004/05/07 00:32:03  ankry
- rel. 2

Revision 1.18  2004/05/06 18:20:58  ankry
- fixed perl-devel BR

Revision 1.17  2004/04/27 15:26:25  ankry
- new bconds

Revision 1.16  2004/04/15 08:39:04  ankry
- summary/description cosmetics

Revision 1.15  2004/04/14 15:51:03  adamg
- updated to 1.17

Revision 1.14  2004/04/04 19:38:01  adamg
- updated to 1.16

Revision 1.13  2003/09/09 10:24:46  ankry
- spaces -> tab

Revision 1.12  2003/08/18 08:09:10  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.11  2003/07/30 23:11:25  grzegol
- updated to 1.13

Revision 1.10  2003/05/28 13:00:59  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:24:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/03/01 20:45:53  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/24 20:31:57  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:37:52  ankry
- massive attack: change CPAN URLs

Revision 1.4  2003/01/24 12:44:05  radek
- version 1.11

Revision 1.3  2002/10/05 12:37:02  ankry
- updated to 1.09 and added cpanflute2 script to examples

Revision 1.2  2002/08/14 23:39:51  qboosh
- pl description, release 2

Revision 1.1  2002/08/09 00:35:57  radek
- new, STBR
